package cn.hmsoft.ltc.service.iface;

import java.sql.SQLException;
import java.util.List;
import cn.hmsoft.ltc.model.DetailTable;

/**
 * 细目表service接口类
 * @author Administrator
 *
 */
public interface DetailTableService {

	/**
	 * 新增细目表信息
	 * @param user
	 */
	void insertDetailTable(DetailTable detailTable);
	
	/**
	 * 修改.
	 * @param detailTable
	 */
	void updateDetailTable(DetailTable detailTable);
	
	/**
	 *  查询细目表信息
	 *  @param testPaperId 试卷编号 
	 * @return
	 * @throws SQLException
	 */
	List<DetailTable> selectDetailTable(String testPaperId) throws SQLException;
	
	/**
	 * 通过课程id，查询试卷是否生成细目，如果数据为0，则未生成细目表，如果>1则生成了试卷
	 * @param courseId
	 * @return
	 * @throws SQLException
	 */
	public int checkDetailTable(Integer courseId) throws SQLException;

}
